summaryrefslogtreecommitdiff
path: root/package/iptables/files/firewall6.init
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2010-04-11 23:37:43 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2010-04-12 20:06:22 +0200
commit6e4361587337535619fcfed0a46719184c1aacf1 (patch)
tree328280d1dd3f01e4d5e28bac3cc7fb6e0bca13b3 /package/iptables/files/firewall6.init
parent39d8800fe63c5bb69a9ecc088f59b59566c6e71e (diff)
ip6tables review
Init-script and config based on the IPv4-ones, but all NAT-related stuff dropped.
Diffstat (limited to 'package/iptables/files/firewall6.init')
-rwxr-xr-xpackage/iptables/files/firewall6.init31
1 files changed, 31 insertions, 0 deletions
diff --git a/package/iptables/files/firewall6.init b/package/iptables/files/firewall6.init
new file mode 100755
index 000000000..bedb639a9
--- /dev/null
+++ b/package/iptables/files/firewall6.init
@@ -0,0 +1,31 @@
+#!/bin/sh
+#PKG iptables
+#INIT 45
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${firewall6:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ . /etc/firewall6.conf
+ ;;
+stop)
+ ### Clear tables
+ ip6tables -F
+ ip6tables -X
+ ip6tables -P INPUT ACCEPT
+ ip6tables -P FORWARD ACCEPT
+ ip6tables -P OUTPUT ACCEPT
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ ;;
+esac
+exit $?